Eclipse Installer avec Oomph

Avant, quand on voulait installer Eclipse, on allait sur la page de téléchargement, on choisissait la version d’Eclipse qui nous intéressait. On téléchargeait un ZIP et on le mettait, où on voulait, à la main.

Mais ça, c’était avant. Maintenant, on peut utiliser l’Eclipse Installer. Cet installateur vient du projet Oomph, qui fait lui-même partie du projet Mars, la future version d’Eclipse. Oomph n’est pas qu’un installateur pour Eclipse, il a pour but de faciliter les choix d’options et de préférences. Vous pouvez lire cet article paru dans la newletter Eclipse pour plus d’info. L’installateur est assez gros (43 Mo) et facilite l’installation d’Eclipse. Un magnifique splash-screen tente de nous distraire pendant que l’application se lance (ça reste Eclipse hein !) :

oomph - 1 - splash

Une fois l’application chargée, on arrive sur l’écran d’accueil où on peut choisir la déclinaison d’Eclipse à installer :

oomph - 2 - main

Pour l’exemple, choisissons la version pour les développeurs C et C++. On peut alors choisir des options d’installation, comme la version d’Eclipse, le dossier où on souhaite l’installer, le JRE qu’on souhaite utiliser, etc :

oomph - 3 - example

Quand on clique sur Install, la licence est montrée, on l’accepte et l’installation commence :

oomph - 4 - installing

L’installateur télécharge ce dont vous avez besoin et met tout ça au bon endroit. Quand c’est terminé, il n’y a plus qu’à lancer !

oomph - 5 - installed

Publicités

6 Réponses

  1. nimch

    « Mais ça, c’était maintenant. Maintenant… »
    => Mais ça, c’était AVANT. Maintenant

    J'aime

    4 juin 2015 à 9:24

  2. Delka

    Bonjour,

    j’ai téléchargé ce logiciel mais quand je le lance, il m’indique le message d’erreur suivant :

    « Version 1.6.0_65 of the JVM is not suitable for this product.
    Version: 1.7 or greater is required. »

    Je ne comprend pas, j’ai pourtant la toute dernière version de java (8 update 51).

    Je tiens à signaler que je suis sur mac et que j’ai bien téléchargé la version OSX du logiciel.

    merci pour votre aide.

    J'aime

    24 juillet 2015 à 10:26

  3. Bonjour,
    Ce n’est pas parce que Java 8 est installé que c’est celui-là qui est utilisé. Ouvrez le terminal, que donnent les commandes suivantes ?
    $ java -version
    $ echo $JAVA_HOME
    $ which java

    J'aime

    27 juillet 2015 à 9:52

  4. Pingback: update-alternatives | Pierre Gradot

  5. Pingback: Intégration continue avec git, Maven et TeamCity | Pierre Gradot

Laisser un commentaire

Entrez vos coordonnées ci-dessous ou cliquez sur une icône pour vous connecter:

Logo WordPress.com

Vous commentez à l'aide de votre compte WordPress.com. Déconnexion / Changer )

Image Twitter

Vous commentez à l'aide de votre compte Twitter. Déconnexion / Changer )

Photo Facebook

Vous commentez à l'aide de votre compte Facebook. Déconnexion / Changer )

Photo Google+

Vous commentez à l'aide de votre compte Google+. Déconnexion / Changer )

Connexion à %s